Name:           minion
Version:        0.10        
Release:        5%{?dist}
Summary:        Fast, Scalable Constraint Solving

Group:          Development/Libraries          
License:        GPLv2+
URL:            http://minion.sourceforge.net/
Source0:        %{name}-%{version}-linux-without-nauty.tar.gz
#
# clean release source of nauty non free library
#
Source1:	minion-generate-tarball.sh
#
# patch0 : add custom option to add capability to set the fedora flags in another variable
# patch reported to upstream : https://mail.cs.st-andrews.ac.uk/pipermail/mug/2010-August/000061.html
#
Patch0:         %{name}-0.10-patch0-add-custom-compil-flags-options.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel

%package examples
Summary:        Example code for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description
MINION is a new constraint solver, which is very fast and scales
well as problem size increases. Empirical results on standard
benchmarks show orders of magnitude performance gains over
state-of-the-art constraint toolkits. These gains increase with
problem size --- MINION delivers scalable constraint solving.

%description examples
The %{name}-examples package contains example code for %{name}.

%prep
%setup -q
%patch0 -p1
rm bin/%{name}
#
# set good rights to headers for debuginfo package
#
find . \( -name "*.h" -o -name "*.hpp" \) -exec chmod 0644 {} \;
#
# suppress -s to linking flags (otherwise no debuginfo)
#
sed -i "/set(CMAKE_EXE_LINKER_FLAGS/s/-s//g" CMakeLists.txt
#
# unbzip2 minion compressed file in examples dirs
#
find ./benchmarks ./generators -type f -name *.bz2 -exec bzip2 -d {} \;
#
# supress windows EOL style
#
find ./benchmarks ./generators -type f -exec sed -i 's/\r//' {} \;

%build
mkdir builddir
pushd builddir
%cmake -DCUSTOM_CXX_FLAGS=1 \
       -DCUSTOM_MINION_CFLAGS:STRING="%{optflags}" \
       -DNAUTY=0 ..
make VERBOSE=1 api-doc %{?_smp_mflags}
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}

# set good rights to examples files
find ./benchmarks ./generators -type f -exec chmod 0644 {} \;

# install executable
install -m 0755 -D -p ./builddir/%{name} %{buildroot}%{_bindir}/%{name}

# useless Lisp files not to be installed
# see devel comment : https://mail.cs.st-andrews.ac.uk/pipermail/mug/2010-August/000059.html
find . -type f -name *.lsp -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc README
%doc LICENSE.txt
%doc docs/Manual.pdf

%files examples
%defattr(-,root,root,-)
%doc benchmarks
%doc generators

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 28 2010 alexisis-pristontale@hotmail.com - 0.10-4
- set 644 rights to SOURCE1

* Tue Aug 24 2010 Lameire Alexis <alexisis-pristontale@hotmail.com> - 0.10-3
- repack source without nauty dir for legal reasons

* Wed Aug 18 2010 Lameire Alexis <alexisis-pristontale@hotmail.com> - 0.10-2
- put examples on doc dir
- attach upstream report link to the patch 0
- one file in doc package : supress it
- supress windows EOL style
- unbzip2 minion compressed examples files
- set good rights to examples files

* Mon Aug 16 2010 Lameire Alexis <alexisis-pristontale@hotmail.com> - 0.10-1
- initial release

